Package org.tmatesoft.svn.core.wc2

# Class SvnStatusSummary

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnObject
org.tmatesoft.svn.core.wc2.SvnStatusSummary

public class SvnStatusSummary extends SvnObject
Represents status summary information for local working copy item, including all its children. is used in `SvnGetStatusSummary`.

Since:
  1.7
Version:
  1.7
Author:
  TMate Software Ltd.
See Also:
  - `SvnGetStatusSummary`

## Constructor Summary

Constructors
Constructor
Description
`SvnStatusSummary()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getMaxRevision()`
Returns the biggest item's revision between all found items.
`long`
`getMinRevision()`
Returns the smallest revision between all found items.
`boolean`
`isModified()`
Returns whether at least one of the items is changed in working copy.
`boolean`
`isSparseCheckout()`
Gets whether the items are result of "sparse" checkout.
`boolean`
`isSwitched()`
Returns whether at least one of the items is switched to a different repository location.
`void`
`setMaxRevision(long maxRevision)`
Sets the biggest item's revision between all found items.
`void`
`setMinRevision(long minRevision)`
Sets the smallest revision between all found items.
`void`
`setModified(boolean isModified)`
Sets whether at least one of the items is changed in working copy.
`void`
`setSparseCheckout(boolean isSparseCheckout)`
Sets whether the items are result of "sparse" checkout.
`void`
`setSwitched(boolean isSwitched)`
Sets whether at least one of the items is switched to a different repository location.
`String`
`toString()`
Returns `String` representation of summary status.

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnObject

`getUserData, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SvnStatusSummary

public SvnStatusSummary()

## Method Details

### getMinRevision

public long getMinRevision()
Returns the smallest revision between all found items.

Returns:
  the smallest revision

### getMaxRevision

public long getMaxRevision()
Returns the biggest item's revision between all found items.

Returns:
  the biggest revision

### isModified

public boolean isModified()
Returns whether at least one of the items is changed in working copy.

Returns:
  `true` if one of the items is changed, otherwise `false`

### isSparseCheckout

public boolean isSparseCheckout()
Gets whether the items are result of "sparse" checkout.

Returns:
  `true` if items are result of "sparse" checkout, otherwise `false`
Since:
  1.7

### isSwitched

public boolean isSwitched()
Returns whether at least one of the items is switched to a different repository location.

Returns:
  `true` if one of the items is switched to a different repository location, otherwise `false`

### setMinRevision

public void setMinRevision(long minRevision)
Sets the smallest revision between all found items.

Parameters:
  `minRevision` - the smallest revision

### setMaxRevision

public void setMaxRevision(long maxRevision)
Sets the biggest item's revision between all found items.

Parameters:
  `maxRevision` - the biggest revision

### setModified

public void setModified(boolean isModified)
Sets whether at least one of the items is changed in working copy.

Parameters:
  `isModified` - `true` if one of the items is changed, otherwise `false`

### setSparseCheckout

public void setSparseCheckout(boolean isSparseCheckout)
Sets whether the items are result of "sparse" checkout.

Parameters:
  `isSparseCheckout` - `true` if items are result of "sparse" checkout, otherwise `false`
Since:
  1.7

### setSwitched

public void setSwitched(boolean isSwitched)
Sets whether at least one of the items is switched to a different repository location.

Parameters:
  `isSwitched` - `true` if one of the items is switched to a different repository location, otherwise `false`

### toString

public String toString()
Returns `String` representation of summary status.

Overrides:
  `toString` in class `Object`
Returns:
  summary status as `String`